[{
    Name: "Sports Scores Ticker Widget",
    Author: "soxfan1966",
    Version: "2020-ver 1",

    GroupName: '',
    IconImage: 'pages/control/widgets/homegenie/generic/images/flag-blue.png',
    StatusText: '',
    Description: 'Sports Scores Ticker Widget',

    RenderView: function (cuid, module)
     {
       var container = $(cuid);
       var widget = container.find('[data-ui-field=widget]');
        //
        widget.find('[data-ui-field=name]').html(module.Name);
        //
        var widgeticon = HG.WebApp.Utility.GetModulePropertyByName(module, 'Widget.DisplayIcon');
        if (widgeticon != null && widgeticon.Value != '')
         {
           this.IconImage = widgeticon.Value;
         }
      // setup Height and Weight variables
      var height = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.SportsScores.Height').Value;
      var width = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.SportsScores.Width').Value;
      document.getElementById('scores_main').style.height = height+"px";
      var width_adj = Number(width)+90;
      document.getElementById('scores_main').style.width = width_adj+"px";
      var height_adj = Number(height)+60;
      document.getElementById('scores_url').style.height = height_adj+"px";
      document.getElementById('scores_url').style.width = width+"px";
      // this sends the URL for the widget to the iframe in the HTML code
      // if there is an Override URL then use that, else use the Default Url
      var override_url = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.SportsScores.OverrideUrl').Value;
      var default_url = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.SportsScores.DefaultUrl').Value;
      var target_url = "";
      if (override_url != '')
        target_url = override_url;
      else
        target_url = default_url;
      document.getElementById("sportsscores").src=target_url;
      // update lastupdate time
      var d = new Date();
      var updatetime = d.toLocaleString()
      widget.find('[data-ui-field=updatetime]').html("last updated: "+updatetime);
     }
}]